import 'package:flutter/material.dart';
import 'package:vegigo2_ui_common/util/size_config.dart';

class EditAndDeleteButtons extends StatelessWidget {
  final VoidCallback onEdit;
  final VoidCallback onDelete;

  EditAndDeleteButtons({
    Key key,
    @required this.onEdit,
    @required this.onDelete,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.spaceBetween,
      children: [
        GestureDetector(
          onTap: onEdit,
          child: Icon(
            Icons.edit_outlined,
            size: 25 * SizeConfig.imageSizeMultiplier,
          ),
        ),
        SizedBox(height: 25 * SizeConfig.heightMultiplier),
        GestureDetector(
          onTap: onDelete,
          child: Icon(
            Icons.delete_outline,
            size: 25 * SizeConfig.imageSizeMultiplier,
          ),
        ),
      ],
    );
  }
}
